[Darshan-commits] [Darshan] branch, master, updated. darshan-2.3.1-pre2-5-gef521fc
Service Account
git at mcs.anl.gov
Fri Mar 13 08:54:59 CDT 2015
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "".
The branch, master has been updated
via ef521fcb05fa0bfbea009efa98f1fcb2eff6a100 (commit)
from f0d131f04bd474537f47ade909eb4e10eee9294c (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit ef521fcb05fa0bfbea009efa98f1fcb2eff6a100
Author: Phil Carns <carns at mcs.anl.gov>
Date: Fri Mar 13 13:54:44 2015 +0000
make regression tests not stop on failure
-----------------------------------------------------------------------
Summary of changes:
darshan-test/regression/run-all.sh | 11 +++++++++--
1 files changed, 9 insertions(+), 2 deletions(-)
Diff of changes:
diff --git a/darshan-test/regression/run-all.sh b/darshan-test/regression/run-all.sh
index 604a366..cb03fcc 100755
--- a/darshan-test/regression/run-all.sh
+++ b/darshan-test/regression/run-all.sh
@@ -45,14 +45,21 @@ fi
# set up environment for tests according to platform
source $DARSHAN_TESTDIR/$DARSHAN_PLATFORM/env.sh
+failure_count=0
+
for i in `ls $DARSHAN_TESTDIR/test-cases/*.sh`; do
echo Running ${i}...
$i
if [ $? -ne 0 ]; then
echo "Error: failed to execute test case $i"
- exit 1
+ failure_count=$((failure_count+1))
fi
echo Done.
done
-exit 0
+if [ "$failure_count" -eq 0 ]; then
+ exit 0
+else
+ echo $failure_count tests failed
+ exit 1
+fi
hooks/post-receive
--
More information about the Darshan-commits
mailing list